> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete volume by ID

> Delete a volume by ID



## OpenAPI

````yaml /api-specs/6.3/domino-volumes-api.yaml post /rpc/delete-volume
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers: []
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /rpc/delete-volume:
    post:
      tags:
        - volumes
      summary: Delete volume by ID
      description: Delete a volume by ID
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.VolumeIDRequest'
        description: Volume ID to delete
        required: true
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.VolumeIDRequest:
      properties:
        volumeId:
          type: string
      required:
        - volumeId
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object

````